- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Creates or updates a finding. The corresponding source must exist for a finding creation to succeed.
HTTP request
PATCH https://securitycenter.googleapis.com/v1/{finding.name=projects/*/sources/*/findings/*} The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
finding.name |
The relative resource name of the finding. Example: "organizations/{organizationId}/sources/{source_id}/findings/{findingId}", "folders/{folder_id}/sources/{source_id}/findings/{findingId}", "projects/{projectId}/sources/{source_id}/findings/{findingId}". |
Query parameters
| Parameters | |
|---|---|
updateMask |
The FieldMask to use when updating the finding resource. This field should not be specified when creating a finding. When updating a finding, an empty mask is treated as updating all mutable fields and replacing sourceProperties. Individual sourceProperties can be added/updated by using "sourceProperties. |
Request body
The request body contains an instance of Finding.
Response body
If successful, the response body contains an instance of Finding.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/securitycenter
For more information, see the Authentication Overview.